import scipy.stats
import numpy as np

ndensity = scipy.stats.norm.pdf


p0A = 100 * ndensity(110, 100, 10) * 0.99 /\
                    (ndensity(110, 100, 10) * 0.99
                     + ndensity(110, 120, 10) * 0.01)
print(p0A)
p0B = 100 * ndensity(110, 120, 10) * 0.01 /\
                    (ndensity(110, 100, 10) * 0.99
                     + ndensity(110, 120, 10) * 0.01)
print(p0B)

import scipy.optimize


def fpoint(p):
    v =( 50 - 100 * ndensity(p, 100, 10) * 0.99 /\
                    (ndensity(p, 100, 10) * 0.99
                     + ndensity(p, 120, 10) * 0.01)) ** 2
    return v

z = np.array([130.0])
res = scipy.optimize.minimize(fpoint, z, method = 'Nelder-Mead',
                        options = {'xatol': 1.0e-7, 'fatol': 1.0e-12})
print(res.x)



p1A = 100 * ndensity(133, 100, 10) * 0.99 /\
                    (ndensity(133, 100, 10) * 0.99
                     + ndensity(133, 120, 10) * 0.01)
print(p1A)
p1B = 100 * ndensity(133, 120, 10) * 0.01 /\
                    (ndensity(133, 100, 10) * 0.99
                     + ndensity(133, 120, 10) * 0.01)
print(p1B)


