import matplotlib.pyplot as plt

x_range = [0, 1]            #   0: Average,     1: Talent
p_pass  = [0.1, 0.9]
p_failure = [0.9, 0.1]

plt.plot(x_range, p_failure, color = 'r', linewidth = 3, label = 'X = Failure')
plt.plot(x_range, p_failure, color = 'r', marker = 'o', markersize = 10)
plt.plot(x_range, p_pass, color = 'b', linewidth = 3, label = 'X = Pass')
plt.plot(x_range, p_pass, color = 'b', marker = 'o', markersize = 10)
plt.xlim([-0.25, 1.25])
plt.xticks([0, 1], fontsize = 14)
plt.xlabel('0: Average          1: Talent', fontsize = 14)
plt.ylim([-0.1, 1.1])
plt.yticks([0.0, 1.0], fontsize = 14)
plt.ylabel('Probability(Likelihood)', fontsize = 14)
plt.legend(loc = 'upper center', fontsize = 14)
plt.show()
